# Aranyasen\HL7\Segments\EQU  

EQU segment class
Ref: https://www.interfaceware.com/hl7-standard/hl7-segment-EQU.html



## Extend:

Aranyasen\HL7\Segment

## Methods

| Name | Description |
|------|-------------|
|[getAlertLevel](#equgetalertlevel)||
|[getEquipmentInstanceIdentifier](#equgetequipmentinstanceidentifier)||
|[getEquipmentState](#equgetequipmentstate)||
|[getEventDateTime](#equgeteventdatetime)||
|[getLocalRemoteControlState](#equgetlocalremotecontrolstate)||
|[resetIndex](#equresetindex)|Reset index of this segment|
|[setAlertLevel](#equsetalertlevel)||
|[setEquipmentInstanceIdentifier](#equsetequipmentinstanceidentifier)||
|[setEquipmentState](#equsetequipmentstate)||
|[setEventDateTime](#equseteventdatetime)||
|[setLocalRemoteControlState](#equsetlocalremotecontrolstate)||

## Inherited methods

| Name | Description |
|------|-------------|
|__construct|Create a segment.|
|getField|Get the field at index.|
|getFields|Get fields from a segment|
|getName|Get the name of the segment. This is basically the value at index 0|
|setField|Set the field specified by index to value.|
|size|Get the number of fields for this segment, not including the name|



### EQU::getAlertLevel  

**Description**

```php
 getAlertLevel (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EQU::getEquipmentInstanceIdentifier  

**Description**

```php
 getEquipmentInstanceIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EQU::getEquipmentState  

**Description**

```php
 getEquipmentState (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EQU::getEventDateTime  

**Description**

```php
 getEventDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EQU::getLocalRemoteControlState  

**Description**

```php
 getLocalRemoteControlState (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EQU::resetIndex  

**Description**

```php
public static resetIndex (int $index)
```

Reset index of this segment 

 

**Parameters**

* `(int) $index`

**Return Values**

`void`


<hr />


### EQU::setAlertLevel  

**Description**

```php
 setAlertLevel (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EQU::setEquipmentInstanceIdentifier  

**Description**

```php
 setEquipmentInstanceIdentifier (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EQU::setEquipmentState  

**Description**

```php
 setEquipmentState (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EQU::setEventDateTime  

**Description**

```php
 setEventDateTime (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />


### EQU::setLocalRemoteControlState  

**Description**

```php
 setLocalRemoteControlState (void)
```

 

 

**Parameters**

`This function has no parameters.`

**Return Values**

`void`


<hr />

